Package: org.codehaus.groovy.runtime

## [Java] Class ConvertedMap

- org.codehaus.groovy.runtime.ConvertedMap

- This class is a general adapter to adapt a map of closures to any Java interface.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected ConvertedMap (Map closures)` to create a ConvertedMap object.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `checkMethod(Method method)`
    `` | `Object` | `invokeCustom(Object proxy, Method method, Object[] args)`
    `` | `static boolean` | `isCoreObjectMethod(Method method)` Checks whether a method is a core method from java.lang.Object.
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ConversionHandler` | `checkMethod, equals, getDelegate, hashCode, invoke, invokeCustom, isCoreObjectMethod, isDefaultMethod, toString`

- - ### Constructor Detail

    - #### protected ConvertedMap(Map closures)

      to create a ConvertedMap object.

      Parameters:
        `closures` - the map of closures

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride protected boolean checkMethod(Method method)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Object invokeCustom(Object proxy, Method method, Object[] args)

    - #### public static boolean isCoreObjectMethod(Method method)

      Checks whether a method is a core method from java.lang.Object. Such methods often receive special treatment because they are deemed fundamental enough to not be tampered with. call toString() is an exception to allow overriding toString() by a closure specified in the map

      Parameters:
        `method` - the method to check
      Returns:
        true if the method is deemed to be a core method

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String toString()